Jump to content


Photo

ZurmoUpgrade_2.2.3-2.5.1 errors during Part2

2.2.3-2.5.1 errors upgrade database

  • Please log in to reply
4 replies to this topic

#1 alanpajek

alanpajek

    Newbie

  • Members
  • Pip
  • 9 posts

Posted 14 November 2013 - 09:19 PM

Hi there,

 

I was trying to upgrade from 2.2.3 - 2.5.1 but when I am doing Part2, there are some SQL errors. I tried to find some solutions in other posts of forum, but nothing works.

Is it possible that my sql db is too large for upgrade??? or something?

Is there any other way to update sql structure for 2.5.1?

 

 



#2 raysto

raysto

    Zurmo Team

  • Administrators
  • 1,973 posts

Posted 14 November 2013 - 11:04 PM

Not sure. we have seen some people have issues upgrading, but we have not experienced any problems with our customers.


Ray Stoeckicht
Zurmo Team
Try Zurmo Pro


#3 alanpajek

alanpajek

    Newbie

  • Members
  • Pip
  • 9 posts

Posted 15 November 2013 - 08:45 AM

Ok so my case looks like this. While i am doing upgrade First Part is completed well, but after Part 2 i have following error:

 

PHP Error[2]: include(ZurmoRedBean.php): failed to open stream: No such file or directory

    in file /var/www/zurmo/yii/framework/YiiBase.php at line 421

#0 /var/www/zurmo/yii/framework/YiiBase.php(421): autoload()

#1 unknown(0): autoload()

#2 /var/www/zurmo/app/protected/modules/zurmo/components/BeginRequestBehavior.php(429): spl_autoload_call()

#3 /var/www/zurmo/yii/framework/base/CComponent.php(558): CommandBeginRequestBehavior->handleLibraryCompatibilityCheck()

#4 /var/www/zurmo/yii/framework/base/CApplication.php(196): ConsoleApplication->raiseEvent()

#5 /var/www/zurmo/yii/framework/base/CApplication.php(167): ConsoleApplication->onBeginRequest()

#6 /var/www/zurmo/app/protected/commands/bootstrap.php(64): ConsoleApplication->run()

#7 /var/www/zurmo/app/protected/commands/zurmoc.php(38): require_once()

#8 /var/www/zurmo/app/protected/commands/zurmoc(4): require_once()

 

 

After rebooting server I can log in and dashboard is opening, but if only i go deeper for example "accounts" then I have error like this :

 

SQLSTATE[42S02]: Base table or view not found: 1146 Table 'zurmo_test.gamecollection' doesn't exist
The reference id for this error is 704c1a71f3674864bafce3ad1aeeaca6.

 

 

Do you know why?



#4 raysto

raysto

    Zurmo Team

  • Administrators
  • 1,973 posts

Posted 15 November 2013 - 08:37 PM

Not sure why, but i bet our engineering team can help. We have Developer Sessions every Tuesday at 10:00AM Chicago Time (http://zurmo.org/forums/index.php?/calendar/event/2-developer-learning-session/). You can always join an upcoming session and ask any questions to our technical team.


Ray Stoeckicht
Zurmo Team
Try Zurmo Pro


#5 improvisio

improvisio

    Advanced Member

  • Members
  • PipPipPip
  • 72 posts
  • LocationPrague

Posted 20 November 2013 - 01:32 PM

Still nothing? I am getting same error even for upgrade scripts or update schema. Seems to me that $path does not have right value







Also tagged with one or more of these keywords: 2.2.3-2.5.1, errors, upgrade, database

0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users